[Tutor] Wrong version of Python being executed

Alan Gauld alan.gauld at btinternet.com
Tue Nov 20 02:08:59 CET 2007


"Tony Cappellini" <cappy2112 at gmail.com> wrote

> So I've changed the association from the 2.3 icon to the 2.5 icon, 
> and
> now I can run my script from the command line as follows
>
> python script.py, and the correct version of Python is invoked.
>
> This is very disturbing because it means the path or other env vars
> have no control (or very little) as to which version of Python is
> invoked.

There are multiple mechanisms.
The PATH and env vars should take precedence inside a DOS
box but from Explorer or from Start-Run its the registry settings
that matter.

> How do other people deal with having multiple versions of Python on
> their system, and not run into this issue??

By using one under cygwin and the other under Windows.
I currently have 2.5 installed in cygwin but 2.4 in Windows...
(and 2.5 and 2.3 installed in MacOS - and 2.2 on Linux!)

Alan G 




More information about the Tutor mailing list